Manually regenerate the current monitor report
curl --request POST \
--url https://api.itoflow.ai/watchlists/{id}/reports/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_message": "Lead with the liquidity section today."
}
'import requests
url = "https://api.itoflow.ai/watchlists/{id}/reports/run"
payload = { "custom_message": "Lead with the liquidity section today." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({custom_message: 'Lead with the liquidity section today.'})
};
fetch('https://api.itoflow.ai/watchlists/{id}/reports/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"joined_existing_run": true,
"report_date": "<string>",
"status": "queued",
"watchlist_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_message_applied": false
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "SUBSCRIPTION_LIMIT_EXCEEDED",
"error": "AI_COST_LIMIT",
"message": "<string>",
"usage": {
"bonus_credits": 1,
"credits_included": 1,
"credits_remaining": 1,
"credits_used": 1,
"current_tier": "free",
"effective_credits_included": 1,
"has_payment_method": true,
"is_warning_threshold": true,
"is_within_limit": true,
"overage_credits": 1,
"payg_spending_cap_cents": 1,
"payg_spent_cents": 1,
"percentage_used": 50,
"period_end": "<string>",
"period_start": "<string>",
"block_reason": "free_tier_exhausted"
}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"code": "MONITOR_DELETE_PENDING",
"error": "MONITOR_DELETE_PENDING",
"message": "<string>",
"delete_operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Monitors
Manually regenerate the current monitor report
Operation ID: post__watchlists_id_reports_run.
POST
https://api.itoflow.ai
/
watchlists
/
{id}
/
reports
/
run
Manually regenerate the current monitor report
curl --request POST \
--url https://api.itoflow.ai/watchlists/{id}/reports/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_message": "Lead with the liquidity section today."
}
'import requests
url = "https://api.itoflow.ai/watchlists/{id}/reports/run"
payload = { "custom_message": "Lead with the liquidity section today." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({custom_message: 'Lead with the liquidity section today.'})
};
fetch('https://api.itoflow.ai/watchlists/{id}/reports/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"joined_existing_run": true,
"report_date": "<string>",
"status": "queued",
"watchlist_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_message_applied": false
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "SUBSCRIPTION_LIMIT_EXCEEDED",
"error": "AI_COST_LIMIT",
"message": "<string>",
"usage": {
"bonus_credits": 1,
"credits_included": 1,
"credits_remaining": 1,
"credits_used": 1,
"current_tier": "free",
"effective_credits_included": 1,
"has_payment_method": true,
"is_warning_threshold": true,
"is_within_limit": true,
"overage_credits": 1,
"payg_spending_cap_cents": 1,
"payg_spent_cents": 1,
"percentage_used": 50,
"period_end": "<string>",
"period_start": "<string>",
"block_reason": "free_tier_exhausted"
}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"code": "MONITOR_DELETE_PENDING",
"error": "MONITOR_DELETE_PENDING",
"message": "<string>",
"delete_operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Body
application/json
Response
Monitor report regeneration queued, or pending when the trigger did not answer in time